// IIFE (Immediately Invoked Function Expression):
// verhindert, dass es Probleme mit anderen
// Bibliotheken gibt, die auch das $-Zeichen
// benutzen
(function( $ ) {
  $.fn.notice = function(text, hiddentext, tabtext) {

	return this.each(function() {

		//////////// cookie functions //////////////
		var setCookie = function(name,value,days) {
			if (days) {
				var date = new Date();
				date.setTime(date.getTime()+(days*24*60*60*1000));
				var expires = "; expires="+date.toGMTString();
			}
			else var expires = "";
				document.cookie = name+"="+value+expires+"; path=/";
		}

		var getCookie = function(name) {
			var nameEQ = name + "=";
			var ca = document.cookie.split(';');
			for(var i=0;i < ca.length;i++) {
				var c = ca[i];
				while (c.charAt(0)==' ') c = c.substring(1,c.length);
				if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
			}
			return null;
		}

		var deleteCookie = function(name) {
			setCookie(name,"",-1);
		}
	
		/////////////////////////////////////////////

		if(getCookie('notice')!=='false'){
			
			var $warning = $('<div/>').attr('id', 'warn').css({
					'background-color': 'yellow',
					'width': '100%',
					'cursor': 'pointer',
					//'border-radius': '8px',
					'padding': '8px 12px 8px 12px',
					'font-weight': 'bold'}).html(text);
			
			$warning.insertBefore($(this));
	
			var $tab = $('<div id="tab">').css({
					'cursor': 'pointer',
					'background-color': 'yellow',
					'width': '200px',
					'padding': '0 10px 5px 10px',
					'margin': '-1px	 auto',
					'border-bottom-right-radius': '8px',
					'border-bottom-left-radius': '8px',
					'border-bottom': '1px solid gray',
					'border-right': '1px solid gray',
					'border-left': '1px solid gray'}).html(tabtext);
			$tab.insertAfter($warning);
	
			var $pretab = $('<div/>').attr('id', 'pretab').css({
					'height': '10px',
					'background-color': 'yellow',
					'width': '100%',
					'border-bottom': '1px solid gray',
					'cursor': 'pointer'});

			$pretab.insertBefore($tab);

			$('h1').on('click', function(){
				$(this).hide(1000);
			});


			$('#warn').on('click', function(){
				if($('#text').size() === 0){
					var $tab = $('#tab');
					var $text = $('<div/>').attr('id', 'text').css('padding', '20px').html(hiddentext).insertAfter($('#warn')).hide();
					$text.show(1000);
				}
				else{
					$('#text').slideUp(1000, function(){
							$('#warn, #pretab').slideUp(1000, function(){
								$('#tab').slideUp(100);
							});
					});
					setCookie('notice', 'false');
			
				}
			});

			$('#tab, #pretab').on('click', function(){
				if($('#text').size()===0){
					$('#warn').click();
				}
				else if ( $('#text').css('display')==='none'){
						$('#text').slideDown(1000);
					
				} else {$('#text').slideUp(1000);}
			});
		}
	});
	}
})( jQuery );
